Bug 1405708 - Review Request: lugaru - Ninja rabbit fighting game
Summary: Review Request: lugaru - Ninja rabbit fighting game
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-GAMESIG
TreeView+ depends on / blocked
 
Reported: 2016-12-17 17:09 UTC by Neal Gompa
Modified: 2017-01-03 17:52 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-12-22 05:24:32 UTC
ignatenko: fedora-review+


Attachments (Terms of Use)

Description Neal Gompa 2016-12-17 17:09:31 UTC
Spec URL: http://kinginuyasha.enanocms.org/downloads/lugaru.spec

SRPM URL: http://kinginuyasha.enanocms.org/downloads/lugaru-1.1-1.fc26.src.rpm

Description:
Lugaru (pronounced Loo-GAH-roo) is a cross-platform third-person action game.
The main character, Turner, is an anthropomorphic rebel bunny rabbit with
impressive combat skills. In his quest to find those responsible for
slaughtering his village, he uncovers a far-reaching conspiracy involving the
corrupt leaders of the rabbit republic and the starving wolves from a nearby
den. Turner takes it upon himself to fight against their plot and save his
fellow rabbits from slavery.

Fedora Account System Username: ngompa

Comment 1 Igor Gnatenko 2016-12-17 19:09:45 UTC
Will review it in a bit.

Comment 2 Igor Gnatenko 2016-12-18 08:34:24 UTC
* Move desktop-file-validate and appstream-util to %check section
* %{_datadir}/icons/hicolor/128x128/apps/%{name}.png -> %{_datadir}/icons/hicolor/*/apps/%{name}.png (who knows if upstream will add more icons
* there is also CC0 and QPL licenses in -data subpackage
* Main package also contains MIT license (due to lugaru-1.1/Source/Thirdparty/optionparser.h)

* Also I think we should add Requires: hicolor-icon-theme
     Note: Directories without known owners: /usr/share/icons/hicolor,
     /usr/share/icons/hicolor/128x128/apps,
     /usr/share/icons/hicolor/128x128


Otherwise looks good (this can be fixed during import). APPROVED.

Comment 3 Gwyn Ciesla 2016-12-19 13:41:24 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/lugaru

Comment 4 Fedora Update System 2016-12-19 19:15:32 UTC
lugaru-1.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-82e3f8a7bf

Comment 5 Fedora Update System 2016-12-19 19:16:09 UTC
lugaru-1.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-100171e60f

Comment 6 Fedora Update System 2016-12-19 19:16:41 UTC
lugaru-1.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8d893cdb32

Comment 7 Fedora Update System 2016-12-20 01:00:07 UTC
lugaru-1.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-100171e60f

Comment 8 Fedora Update System 2016-12-20 08:52:21 UTC
lugaru-1.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-82e3f8a7bf

Comment 9 Fedora Update System 2016-12-20 09:24:02 UTC
lugaru-1.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8d893cdb32

Comment 10 Fedora Update System 2016-12-22 05:24:32 UTC
lugaru-1.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-12-27 10:49:01 UTC
lugaru-1.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-01-03 17:52:12 UTC
lugaru-1.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.